Skip to content

List account integrations

GET
/api/v1/account_integration
curl --request GET \
--url https://app.prefactorai.com/api/v1/account_integration \
--header 'Authorization: Bearer <token>'
idempotency_key
One of:

Optional idempotency key for ensuring request idempotency

string

Success

Media typeapplication/json
object
status
required
string
Allowed values: success
summaries
required
Array<object>
AccountIntegration_Summary
object
id
required
AccountIntegration_Id

A valid account integration ID

string
integration_type
required

Integration type key for this account

string
status
required

Whether this integration is active or paused

string
Allowed values: active paused
type
required

Type of resource (always ‘account_integration’)

string
Allowed values: account_integration
Example
{
"status": "success",
"summaries": [
{
"id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"integration_type": "slack",
"status": "active",
"type": "account_integration"
}
]
}

Error

Media typeapplication/json
One of:
object
code
required
string
Allowed values: bad_request bad_authtoken not_authenticated not_permitted not_implemented unknown not_found unexpected_ref_type unexpected invalid_action invalid_state alert_unknown alert_already_cleared invalid_value required_value idempotency_key_already_used temporarily_unavailable conflict
message
required
string
status
required
string
Allowed values: error
Example
{
"code": "bad_request",
"status": "error"
}